Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.shared.factories
Class DeploymentFactoryManager

    java.lang.Object
      javax.enterprise.deploy.shared.factories.DeploymentFactoryManager

public final class DeploymentFactoryManager
extends Object

The deployment factory manager.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`DeploymentFactory[]` | `getDeploymentFactories()` Retrieve the deployment factories
`DeploymentManager` | `getDeploymentManager(String uri, String userName, String password)` Get a connected deployment manager
`DeploymentManager` | `getDisconnectedDeploymentManager(String uri)` Get a disconnected version of the deployment manager
`static DeploymentFactoryManager` | `getInstance()` Retrieve the instance of the deployment factory manager
`void` | `registerDeploymentFactory(DeploymentFactory factory)` Register a deployment factory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DeploymentFactoryManager getInstance()

  Retrieve the instance of the deployment factory manager

  Returns:
    the deployment factory manager

### getDeploymentFactories

    public DeploymentFactory[] getDeploymentFactories()

  Retrieve the deployment factories

  Returns:
    an array of deployment factories

### getDeploymentManager

    public DeploymentManager getDeploymentManager(String uri,
                                                  String userName,
                                                  String password)
                                           throws DeploymentManagerCreationException

  Get a connected deployment manager

  Parameters:
    `uri` - the uri of the deployment manager
    `userName` - the user name
    `password` - the password
  Returns:
    the deployment manager
  Throws:
    `DeploymentManagerCreationException`

### registerDeploymentFactory

    public void registerDeploymentFactory(DeploymentFactory factory)

  Register a deployment factory

  Parameters:
    `factory` - the deployment factory

### getDisconnectedDeploymentManager

    public DeploymentManager getDisconnectedDeploymentManager(String uri)
                                                       throws DeploymentManagerCreationException

  Get a disconnected version of the deployment manager

  Parameters:
    `uri` - the uri to connect to
  Returns:
    the disconnected deployment manager
  Throws:
    `DeploymentManagerCreationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.